package com.wms.entity.app.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.wms.entity.table.Menu;
import lombok.Data;

import java.util.List;

@Data
public class MenuVo {
    /**
     * 菜单id
     */
    @JsonProperty("id")
    private String id;
    /**
     * 菜单名称
     */
    @JsonProperty("label")
    private String label;
    /**
     * 子菜单
     */
    @JsonProperty("children")
    private List<MenuVo> children;

    /**
     * 将菜单对象转换为菜单视图对象
     * @param menu 菜单对象
     * @return 菜单
     */
    public static MenuVo of(Menu menu) {
        MenuVo menuVo = new MenuVo();
        menuVo.setId(menu.getMenuId());
        menuVo.setLabel(menu.getLabelName());

        return menuVo;
    }
}
